[v-cloak] {
  display: none;
}

/* topページ */

.kc-cards {
  display: flex;
  flex-wrap: wrap;
}

.kc-card {
  width: calc(25% - 40px * 3/4);
  margin-right: 40px;
  position: relative;
}

.kc-card:nth-child(4n) {
  margin-right: 0;
}

.kc-card a:hover::before {
  content: '';
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    background-color: rgba(0, 0, 0, 0.3);
    opacity: 1;
    -webkit-animation: hoverIn 0.3s ease-in-out 0s 1 forwards;
    animation: hoverIn 0.3s ease-in-out 0s 1 forwards;
}

.kc-card a:hover::after {
  content: 'View more';
  width: 100%;
  display: block;
  position: absolute;
  top: 50%;
  left: 0;
  z-index: 3;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  color: #fff;
  text-align: center;
  font-weight: bold;
  opacity: 1;
  -webkit-animation: hoverIn 0.3s ease-in-out 0s 1 forwards;
  animation: hoverIn 0.3s ease-in-out 0s 1 forwards;
}

.kc-image {
  position: relative;
}

.kc-image img {
  /* position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%; */
  aspect-ratio: 4/3;
  object-fit: cover;
}

.kc-info {
  padding-top: 15px;
  text-align: left;
}

.kc-tags {
  display: flex;
  flex-wrap: wrap;
}

.kc-type,
.kc-format {
  margin-bottom: 3px;
  height: 22px;
  line-height: 22px;
  font-size: 12px;
  /* border: 1px solid #000; */
  padding-left: 10px;
  padding-right: 10px;
}

.kc-type {
  background-color: #000;
  color: #fff;
  margin-right: 10px;
}

.kc-format {
  background-color: #fbea21;
  color: #000;
}

.kc-date {
  font-size: 14px;
  margin-top: 7px;
}

.kc-name {
  font-size: 16px;
  font-weight: bold;
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  margin-top: 5px;
}

.kc-address {
  margin-top: 5px;
  font-size: 14px;
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
}

.kc-date,
.kc-name,
.kc-address {
  line-height: 1.5;
}


@media screen and (max-width: 799px) {
  .kc-card {
    width: calc(50% - 40px * 1/2);
  }

  .kc-card:nth-child(2n) {
    margin-right: 0;
  }

  .kc-card:nth-child(n + 3) {
    margin-top: 30px;
  }
}

@media screen and (max-width: 520px) {
  .kc-cards {
    margin-bottom: 30px;
  }
  .kc-card {
    width: 100%;
    margin-right: 0;
    margin-top: 30px;
  }

  .kc-block {
    display: flex;
  }

  .kc-image {
    width: 43%;
    margin-right: 2vw;
  }

  .kc-image img {
    /* height: min-content; */
  }

  .kc-info {
    width: 57%;
    padding-top: 0;
  }

  .kc-type,
  .kc-format {
    margin-bottom: .6vw;
    height: 5.5vw;
    line-height: 5.5vw;
    font-size: 2.7vw;
    padding-left: 2.5vw;
    padding-right: 2.5vw;
  }

  .kc-type {
    margin-right: 3px;
  }

  .kc-date {
    font-size: 3vw;
    margin-top: 1.25vw;
  }

  .kc-name {
    font-size: 3.6vw;
    margin-top: 1vw;
  }

  .kc-address {
    margin-top: 1vw;
    font-size: 3vw;
  }

  .kc-date,
.kc-name,
.kc-address {
  line-height: 1.4;
}
}





/* イベントページ */
.kc-container-e {
  max-width: 1200px;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.kc-cards-e {
  display: flex;
  flex-wrap: wrap;
}

.kc-card-e {
  width: calc(33.333% - 60px * 2/3);
  margin-right: 60px;
  position: relative;
}

.kc-card-e:nth-child(3n) {
  margin-right: 0;
}

.kc-card-e:nth-child(n + 4) {
  margin-top: 60px;
}

.kc-card-e a:hover::before {
  content: '';
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    background-color: rgba(0, 0, 0, 0.3);
    opacity: 1;
    -webkit-animation: hoverIn 0.3s ease-in-out 0s 1 forwards;
    animation: hoverIn 0.3s ease-in-out 0s 1 forwards;
}

.kc-card-e a:hover::after {
  content: 'View more';
  width: 100%;
  display: block;
  position: absolute;
  top: 50%;
  left: 0;
  z-index: 3;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  color: #fff;
  text-align: center;
  font-weight: bold;
  opacity: 1;
  -webkit-animation: hoverIn 0.3s ease-in-out 0s 1 forwards;
  animation: hoverIn 0.3s ease-in-out 0s 1 forwards;
}

.kc-image-e {
  position: relative;
  aspect-ratio: 4/3;
}

.kc-image-e img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.kc-info-e {
  padding-top: 15px;
  text-align: left;
}

.kc-tags-e {
  display: flex;
  flex-wrap: wrap;
}

.kc-type-e,
.kc-format-e {
  margin-bottom: 3px;
  height: 22px;
  line-height: 22px;
  font-size: 12px;
  padding-left: 10px;
  padding-right: 10px;
}

.kc-type-e {
  background-color: #000;
  color: #fff;
  margin-right: 10px;
}

.kc-format-e {
  background-color: #fbea21;
  color: #000;
}

.kc-date-e {
  font-size: 14px;
  margin-top: 7px;
}

.kc-name-e {
  font-size: 16px;
  font-weight: bold;
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  margin-top: 5px;
}

.kc-address-e {
  margin-top: 5px;
  font-size: 14px;
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
}

.kc-date-e,
.kc-name-e,
.kc-address-e {
  line-height: 1.5;
}


@media screen and (max-width: 799px) {
  .kc-card-e {
    width: calc(50% - 40px * 1/2);
    margin-right: 40px;
  }

  .kc-card-e:nth-child(2n) {
    margin-right: 0!important;
  }

  .kc-card-e:nth-child(3n) {
    margin-right: 40px;
  }

  .kc-card-e:nth-child(n + 3) {
    margin-top: 40px;
  }
}

@media screen and (max-width: 520px) {
  .kc-cards-e {
    display: block;
  }
  .kc-card-e {
    width: 100%;
    margin-right: 0!important;
    margin-top: 40px;
  }
}

